Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000060 [MyDNS-NG] Global crash always 2010-09-25 06:10 2014-08-08 19:31
Reporter jameno123 View Status public  
Assigned To jorge
Priority normal Resolution fixed  
Status resolved   Product Version 1.2.8
Summary 0000060: Crash on NULL 'type'
Description MyDNS crashes when database 'type' field is NULL as per the 'default' specified by --create-tables due to a missing NULL check on the SQL result, field 7 "row[6]" variable.
Additional Information Patch Attached.
Tags No tags attached.
Attached Files ? file icon mydns-1.2.8-mydns_parse_rr-nullpointer-crash.patch [^] (406 bytes) 2010-09-25 06:10

- Relationships

-  Notes
(0000162)
jorge (administrator)
2010-10-10 14:44

http://mydns-ng.svn.sourceforge.net/viewvc/mydns-ng/mydns/trunk/src/lib/rr.c?r1=225&r2=224&pathrev=225 [^]

- Issue History
Date Modified Username Field Change
2010-09-25 06:10 jameno123 New Issue
2010-09-25 06:10 jameno123 File Added: mydns-1.2.8-mydns_parse_rr-nullpointer-crash.patch
2010-10-10 14:44 jorge Note Added: 0000162
2010-10-10 14:44 jorge Status new => resolved
2010-10-10 14:44 jorge Fixed in Version => Trunk
2010-10-10 14:44 jorge Resolution open => fixed
2010-10-10 14:44 jorge Assigned To => jorge
2014-08-08 19:31 jameno123 Fixed in Version Trunk => 1.2.8.31
2014-08-08 19:31 jameno123 Target Version => 1.2.8.31


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker